#!/usr/bin/env bash

if [ ! -z "${APPNET}" ]; then
   echo "Initial nslookup ${HOSTNAME}.${APPNET}"
   nslookup ${HOSTNAME}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
     sleep 1
     nslookup ${HOSTNAME}.${APPNET}
   done
fi


if [ "$DB_CLUSTER" ]; then
   sed -i "s/192.168.201.12:27017/${DB_CLUSTER}/" /etc/web-laboratory-admin/application.conf
fi

sed -i "s/192\.168\.201\.13/${HOSTNAME}.${APPNET}/" /etc/web-laboratory-admin/application.conf

if [ -n  ${CREATE_DATASOURCE} ] && [ ${CREATE_DATASOURCE} == "yes" ]
then
  while [ $(nc -w 2 mongodb 27017; echo $?) -ne 0 ]; do echo "Go to sleep"; sleep 2;done
  /opt/updatedb.sh
fi


exec "$@"
